
Foreman - Bug #25483

Custom boolean facts with false value are not imported

11/16/2018 01:32 PM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Facts   

Target version:    

Difficulty:  Fixed in Releases: 1.21.0

Triaged: No Found in Releases:  

Bugzilla link: 1650127 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6253

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1650127

Description of problem:

Custome Boolean Puppet facts with value False are not on the WebUI, Hammer output or with REST API. Only facts with value True

are shown/stored.

Version-Release number of selected component (if applicable):

Satellite 6.4

Puppet 5

How reproducible:

Always

Steps to Reproduce:

In /opt/puppetlabs/puppet/cache/lib/facter

1. cat temp.rb

require 'facter'

Facter.add("always_true") do

confine :kernel => "Linux"

setcode do

true

end

end

Facter.add("always_false") do

confine :kernel => "Linux"

setcode do

false

end

end

Actual results:

- False value is not displayed

1. hammer fact list --search "name=always_true"

----------------------|-------------|------

HOST                  | FACT        | VALUE

----------------------|-------------|------

lvmpig03 | always_true | true

----------------------|-------------|------

Expected results:

- False value should be displayed
1. hammer fact list --search "name=always_false"

----------------------|-------------|------

HOST                  | FACT        | VALUE

----------------------|-------------|------

lvmpig03 | always_false | false

lvmpig03 | always_true | true

----------------------|-------------|------

Related issues:

Has duplicate Foreman - Bug #25949: Boolean false facts do not show up in the... Duplicate

Has duplicate Foreman - Bug #23960: Foreman - "fips_enabled" Puppet Fact is n... Duplicate

Associated revisions

Revision c5894189 - 12/22/2018 12:50 PM - Marek Hulán

Fixes #25483 - keep false facts

History

#1 - 11/16/2018 02:07 PM - Marek Hulán

- Subject changed from Custom boolean facts with false value are not managed by Satellite.

 to Custom boolean facts with false value are not managed by Satellite.

- Status changed from New to Assigned

- Assignee set to Marek Hulán

in fact we ignore all false facts, not just custom

#2 - 11/16/2018 02:16 PM - Marek Hulán

- Project changed from Ansible to Foreman

- Category set to Facts

#3 - 11/16/2018 03:03 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6253 added

#4 - 12/22/2018 12:50 PM - Anonymous

- Fixed in Releases 1.21.0 added

#5 - 12/22/2018 01:01 PM - Marek Hulán

- Status changed from Ready For Testing to Closed

Applied in changeset c589418990d6cb1849f43973702f9a353c6c2d71.

#6 - 01/15/2019 04:32 PM - Ewoud Kohl van Wijngaarden

- Subject changed from Custom boolean facts with false value are not managed by Satellite. to Custom boolean facts with false value are not imported

#7 - 03/25/2019 11:03 AM - Ewoud Kohl van Wijngaarden

- Related to Bug #23960: Foreman - "fips_enabled" Puppet Fact is not Parsed Correctly added

#8 - 03/25/2019 11:04 AM - Ewoud Kohl van Wijngaarden

- Has duplicate Bug #25949: Boolean false facts do not show up in the web UI added

#9 - 03/25/2019 11:04 AM - Ewoud Kohl van Wijngaarden

- Related to deleted (Bug #23960: Foreman - "fips_enabled" Puppet Fact is not Parsed Correctly)

#10 - 03/25/2019 11:05 AM - Ewoud Kohl van Wijngaarden

- Related to Bug #23960: Foreman - "fips_enabled" Puppet Fact is not Parsed Correctly added

#11 - 03/25/2019 11:05 AM - Ewoud Kohl van Wijngaarden

- Related to deleted (Bug #23960: Foreman - "fips_enabled" Puppet Fact is not Parsed Correctly)
#12 - 03/25/2019 11:05 AM - Ewoud Kohl van Wijngaarden

- Has duplicate Bug #23960: Foreman - "fips_enabled" Puppet Fact is not Parsed Correctly added
